Subject: Re: [MIB-DOCTORS] MIBs in RFCs - tools templates

From: Sandy Ginoza <[email-masked]>
Date: Tue, 11 Jun 2013 11:24:33 -0700

Hi David,

Sorry for the delayed reply.  It looks like there has already been progress on updating the MIB templates as I see recent versions in http://tools.ietf.org/tools/templates/.  If there is something the RFC Editor can do to help, please let us know. 

Thanks,
Sandy

On May 31, 2013, at 6:12 AM, David Harrington wrote:

> Hi,
> 
> Tools.ietf.org has templates for documents containing MIB modules.
> These have not been updated in a long time, and are not consistent with
> current boilerplate.
> These templates include advice, largely based on rfc4181, about sections
> that should exist, boilerplates and how to fill them in, etc.
> I think these templates include advice about all six of Sandy's questions.
> 
> I guess question #1 is, "is it worth it to have these templates and advice
> available?"
> If so, we should update them and have a link from the OPS wiki.
> 
> These templates do purport to represent the MIB Doctor directorate
> consensus.
> It would be good if the MIB Doctors could review them to see what needs
> updating.
> I only occasionally check the MIB Doctor list, so if you want to engage me
> about these templates, direct emails will get my attention faster.
> 
> I have not been authoring documents, so have gotten away from my knowledge
> of xml2rfc, and of course xml2rfc has changed a lot.
> It would be good if somebody could verify that the xml2rfc templates are
> still viable.
> 
> Sandy, you might also recommend changes needed from the rfc editor
> perspective;
> I notice the xml2rrfc-beta rejects the ipr choice of "full3978". 
> 
> I haven't had time to keep these templates up-to-date.
> I'm not sure I'll find the time now.
> If there is interest, and feedback, I would consider editing updates.
> But if nobody considers having the templates important, we might as well
> just remove them from tools.ietf.org.
> 
> David Harrington
> [email-masked]
> +1-603-828-1401
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Benoit Claise
> Sent: Wednesday, May 15, 2013 8:02 AM
> To: Sandy Ginoza
> Cc: [email-masked]; MIB Doctors (E-mail)
> Subject: Re: [MIB-DOCTORS] MIBs in RFCs
> 
> Hi Sandy,
> 
> I believe this list is correct.
> Copying the mib-doctors, just in case ...
> 
> Regards, Benoit
>> Hi Benoit and Joel,
>> 
>> I'm getting ready to train one of our editors on MIB checking.  Before
> doing that, I'm hoping you, as OPs ADs, can verify that the items listed
> below are still current, and let me know if anything is missing.  Does this
> list seem right?
>> 
>> 1) Section 1 should always be "The Internet-Standard Management Framework"
> and  match the text that appears at
> <https://svn.tools.ietf.org/area/ops/trac/wiki/mib-boilerplate>.
>> 
>> 2) The Security Considerations should match the text available at
> <https://svn.tools.ietf.org/area/ops/trac/wiki/mib-security>.
>> 
>> 3) The "LAST-UPDATED" and "REVISION" clauses should be updated with the
> date the file is being edited, with a time of 0000, for example:
>> 
>>    LAST-UPDATED "YYYYMMDD0000Z"
>> 
>> 4) IANA assignments need to be updated within the MIB (if necessary)
>> 
>> 5) It's okay to edit text within quote marks (mostly applies to
> "DESCRIPTION" clauses)
>> 
>> 6) No in-text citations within the MIB because the MIB is meant to be
> extracted from the document (and would therefore be incomplete without the
> references section of the document).
>> 
>> 
>> Thanks!
>> Sandy
>> 
>> 
> 
> _______________________________________________
> MIB-DOCTORS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mib-doctors
>